/*
 * dht.h
 *
 * Created: 2014-09-15 09:14:04
 *  Author: dsosnowski
 */ 


#ifndef DHT_H_
#define DHT_H_

char DHTRead(void);
char DHTStatusGet(void);
int16_t DHTHumidityGet(void);
int16_t DHTTemperatureGet(void);

#define DHT_IDLE		0
#define	DHT_READY		1
#define	DHT_BIT			2
#define	DHT_ERR1		3		//short to gnd
#define	DHT_ERR2		4		//no dht
#define	DHT_ERR3		5		//transmitt error



#endif /* DHT_H_ */