#ifndef SUART_H
#define SUART_H


#define SUART_BUFFER	32
#define SUART_SEND_BUFFER	16
#define COMMAND_CHAR	'P'		//PWM module
#define COMMAND_RETURN	'?'		//return module state
#define COMMAND_VAL		'='
#define COMMAND_PARAM	','
#define ACCEPT_CHAR		'\r'
//example commands:
//P01=64,20(ENTER)
//P1=0,0(ENTER)
//P0=0(ENTER)
//P99=255,255(ENTER)
//example answer
//P22=?(ENTER)
//P22=10(ENTER)

#define COMMAND_LEVEL_IDLE		0
#define COMMAND_LEVEL_RET		1
#define COMMAND_LEVEL_VAL		2
#define COMMAND_LEVEL_PAR		3

#define COMMAND_OFFSET	0
#define ADDRESS_OFFSET	1

void SuartInit(void);
void SuartSend(char data);
void SuartClear(void);

#endif //SUART_H
